Bug 598003 - pulseaudio leads to system freezes
pulseaudio leads to system freezes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
13
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 04:56 EDT by christian.leitold
Modified: 2011-06-27 13:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:09:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description christian.leitold 2010-05-31 04:56:43 EDT
Description of problem:

pulseaudio leads to a (partial) freeze of the system: mouse is still moveable, but applications do not react to input any more. After some time (I would guess, one to two minutes), the system becomes usable again. The following error messages I found in /var/log/messages after the the problem had occured:

May 31 10:34:54 localhost pulseaudio[1951]: sink-input.c: Failed to create sink input: sink is suspended.
May 31 10:34:54 localhost pulseaudio[1951]: sink-input.c: Failed to create sink input: sink is suspended.
May 31 10:34:55 localhost pulseaudio[1951]: sink-input.c: Failed to create sink input: sink is suspended.
May 31 10:34:55 localhost pulseaudio[1951]: sink-input.c: Failed to create sink input: sink is suspended.


Version-Release number of selected component (if applicable):
pulseaudio 0.9.21


How reproducible:

So far, it seems the problem does only occur when Firefox is running as well.
Comment 1 Lennart Poettering 2010-11-25 12:01:44 EST
Most likely apps don't deal well with PA not being able to play audio because some app (flash?) is block access to the audio device.
Comment 2 Bug Zapper 2011-06-02 08:40:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 13:09:18 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.